package sun.reflect;

import java.lang.reflect.Field;
import java.lang.reflect.Member;

public class ConstantPool
{
    private Object constantPoolOop;
    
    public ConstantPool() {
    }
    
    public int getSize() {
        return this.getSize0(this.constantPoolOop);
    }
    
    public Class<?> getClassAt(int n) {
        return this.getClassAt0(this.constantPoolOop, n);
    }
    
    public Class<?> getClassAtIfLoaded(int n) {
        return this.getClassAtIfLoaded0(this.constantPoolOop, n);
    }
    
    public Member getMethodAt(int n) {
        return this.getMethodAt0(this.constantPoolOop, n);
    }
    
    public Member getMethodAtIfLoaded(int n) {
        return this.getMethodAtIfLoaded0(this.constantPoolOop, n);
    }
    
    public Field getFieldAt(int n) {
        return this.getFieldAt0(this.constantPoolOop, n);
    }
    
    public Field getFieldAtIfLoaded(int n) {
        return this.getFieldAtIfLoaded0(this.constantPoolOop, n);
    }
    
    public String[] getMemberRefInfoAt(int n) {
        return this.getMemberRefInfoAt0(this.constantPoolOop, n);
    }
    
    public int getIntAt(int n) {
        return this.getIntAt0(this.constantPoolOop, n);
    }
    
    public long getLongAt(int n) {
        return this.getLongAt0(this.constantPoolOop, n);
    }
    
    public float getFloatAt(int n) {
        return this.getFloatAt0(this.constantPoolOop, n);
    }
    
    public double getDoubleAt(int n) {
        return this.getDoubleAt0(this.constantPoolOop, n);
    }
    
    public String getStringAt(int n) {
        return this.getStringAt0(this.constantPoolOop, n);
    }
    
    public String getUTF8At(int n) {
        return this.getUTF8At0(this.constantPoolOop, n);
    }
    
    private native int getSize0(Object p0);
    
    private native Class<?> getClassAt0(Object p0, int p1);
    
    private native Class<?> getClassAtIfLoaded0(Object p0, int p1);
    
    private native Member getMethodAt0(Object p0, int p1);
    
    private native Member getMethodAtIfLoaded0(Object p0, int p1);
    
    private native Field getFieldAt0(Object p0, int p1);
    
    private native Field getFieldAtIfLoaded0(Object p0, int p1);
    
    private native String[] getMemberRefInfoAt0(Object p0, int p1);
    
    private native int getIntAt0(Object p0, int p1);
    
    private native long getLongAt0(Object p0, int p1);
    
    private native float getFloatAt0(Object p0, int p1);
    
    private native double getDoubleAt0(Object p0, int p1);
    
    private native String getStringAt0(Object p0, int p1);
    
    private native String getUTF8At0(Object p0, int p1);
    
    static {
        Reflection.registerFieldsToFilter(ConstantPool.class, new String[] { "constantPoolOop" });
    }
}
